<?php
/*
 * This file is part of the easy-CMS project.
 * easy-CMS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * easy-CMS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with easy-CMS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/**
 */
include_once('config.inc.php');
include_once('classes/core/CoreObject.class.php');


/**
 * Allows strings operations and outputs.
 *
 * @access  private
 * @author	Cedric Francoys <cedric.francoys@easy-cms.org>
 * @version	String.class, Sun Nov 28 13:27:11 CET 2004
 * @package	Types
 */
class String extends CoreObject {
  var $value;

  function String($value='') {
    $this->setValue($value);
  }

  function getType() {
    return EASY_CMS_TYPE_STRING;
  }
		
  function compareTo(&$stringObj) {
    return strcmp($this->getValue(), $stringObj->getValue());
  }
	
  function setValue(&$value) {
    $this->value = &$value;
  }

  function &getValue() {
    return $this->value;
  }

  function toString() {
    return $this->getValue();
  }

  function toXML() {
    return '<![CDATA['.$this->getValue().']]>';
  }

  function toSQL() {
		return $this->html_encode($this->getValue());
  }

	function summarize($text, $size) {
		$size -= 3;
		$res = substr($text, 0, $size);
		if (strlen($text) > $size) $res .= "[...]";
		return $res;
	}   
} 
?>